Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689253 - perl-Locale-TextDomain-OO-1.035-2.fc31 FTBFS: t/04_merge_move_copy_delete_lexicon_utf-8.t fails
Summary: perl-Locale-TextDomain-OO-1.035-2.fc31 FTBFS: t/04_merge_move_copy_delete_lex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Locale-TextDomain-OO
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-15 14:13 UTC by Petr Pisar
Modified: 2019-03-29 19:17 UTC (History)
2 users (show)

Fixed In Version: perl-Locale-TextDomain-OO-1.036-1.fc31 perl-Locale-TextDomain-OO-1.036-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:17:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 128841 None None None 2019-03-15 14:30:48 UTC

Description Petr Pisar 2019-03-15 14:13:57 UTC
perl-Locale-TextDomain-OO-1.035-2.fc31 fails to build in F31 because some t/04_merge_move_copy_delete_lexicon_utf-8.t tests fail like:

#   Failed test 'deleted entry'
#   at t/04_merge_move_copy_delete_lexicon_utf-8.t line 274.
# +----+-------------------------------------------------------------+----+--------------------------+
# | Elt|Got                                                          | Elt|Expected                  |
# +----+-------------------------------------------------------------+----+--------------------------+
# |   0|{                                                            |   0|{                         |
# |   1|  '' => {                                                    |   1|  '' => {                 |
# |   2|    nplurals => 2,                                           |   2|    nplurals => 2,        |
# |   3|    plural => 'n != 1',                                      |   3|    plural => 'n != 1',   |
# |   4|    plural_code => sub {                                     |   4|    plural_code => sub {  |
# *   5|        package Locale::TextDomain::OO::Singleton::Lexicon;  *    |                          |
# |   6|        use warnings;                                        |   5|        use warnings;     |
# |   7|        use strict;                                          |   6|        use strict;       |
# *   8|        return shift() != 1;\n                               *   7|\s\s\s\s\s\s\s\s\n        *
# |   9|    }                                                        |   8|    }                     |
# |  10|  }                                                          |   9|  }                       |
# |  11|}                                                            |  10|}                         |
# +----+-------------------------------------------------------------+----+--------------------------+
# Looks like you failed 6 tests of 12.

A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/6200391>.

This is triggered by upgrading perl-Test-Differences from 0.6600-1.fc31 to 0.6700-1.fc31.

Comment 1 Fedora Update System 2019-03-18 07:32:33 UTC
perl-Locale-TextDomain-OO-1.036-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e270ee2a80

Comment 2 Fedora Update System 2019-03-21 19:10:18 UTC
perl-Locale-TextDomain-OO-1.036-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e270ee2a80

Comment 3 Fedora Update System 2019-03-29 19:17:26 UTC
perl-Locale-TextDomain-OO-1.036-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.